<?php

namespace App\Generated\Controllers\V1_1;

use App\Generated\V1_1\Messages\City\GetListMessage;
use App\Http\Services\V1_1\CityService;
use App\Generated\V1_1\Messages\City\SearchMessage;
use App\Http\Controllers\Controller;
use DB;

class CityController extends Controller
{
    public $handler;

    public function __construct(CityService $handler)
    {
        $this->handler = $handler;
    }

    public function search(SearchMessage $message)
    {
        $message->validateInput();
        $this->handler->search($message);
        $message->validateOutput();
        return $message->getResponse();
    }

    public function getList(GetListMessage $message)
    {
        $message->validateInput();
        $this->handler->getList($message);
        $message->validateOutput();
        return $message->getResponse();
    }

}
